package com.tencent.mm.plugin.appbrand.jsapi.file;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask.ProcessResult;

final class JsApiOpenDocument$OpenResult extends ProcessResult {
    public static final Creator<JsApiOpenDocument$OpenResult> CREATOR = new 1();
    public int ret;

    public final void k(Parcel parcel) {
        AppMethodBeat.i(131073);
        this.ret = parcel.readInt();
        AppMethodBeat.o(131073);
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(131074);
        parcel.writeInt(this.ret);
        AppMethodBeat.o(131074);
    }

    JsApiOpenDocument$OpenResult() {
    }

    JsApiOpenDocument$OpenResult(Parcel parcel) {
        super(parcel);
    }

    static {
        AppMethodBeat.i(131075);
        AppMethodBeat.o(131075);
    }
}
